
clc; clear; close all;

%% Plot single point statistics
mat = 'Velocity_Statistics_PIV';

load(mat)
cmap = jet;

figure
h = pcolor(XoverD,-ZoverD,U); axis equal; grid on;
h.LineStyle = 'none';
colormap(jet)
colorbar;
title('$$\overline{U}/U_{ref}$$','interpreter','latex');
xlabel('x/D'); ylabel('-z/D');

figure
h = pcolor(XoverD,-ZoverD,W); axis equal; grid on;
h.LineStyle = 'none';
colormap(jet)
colorbar;
title('$$\overline{W}/U_{ref}$$','interpreter','latex');
xlabel('x/D'); ylabel('-z/D');

figure
h = pcolor(XoverD,-ZoverD,u2); axis equal; grid on;
h.LineStyle = 'none';
colormap(jet)
colorbar;
title('$$\overline{u''^2}/U_{ref}$$','interpreter','latex');
xlabel('x/D'); ylabel('-z/D');

figure
h = pcolor(XoverD,-ZoverD,w2); axis equal; grid on;
h.LineStyle = 'none';
colormap(jet)
colorbar;
title('$$\overline{w''^2}/U_{ref}$$','interpreter','latex');
xlabel('x/D'); ylabel('-z/D');

figure
h = pcolor(XoverD,-ZoverD,uw); axis equal; grid on;
h.LineStyle = 'none';
colormap(jet)
colorbar;
title('$$\overline{u''w''}/U_{ref}$$','interpreter','latex');
xlabel('x/D'); ylabel('-z/D');
